/**
 * 创建媒体图片元素
 * @param url 图片链接地址
 * @returns 返回一个 A 标签元素
 */
export function createPicture(url: string): HTMLAnchorElement

/**
 * 创建一个音频播放元素
 * @param mime 音频类型，如 `audio/amr`、`audio/ogg`
 * @param url 音频 url
 */
export function createAudio(mime: string, url: string): HTMLAudioElement | HTMLDivElement

/**
 * 创建一个视频播放元素
 * @param url 视频 url
 */
export function createVideo(url: string): HTMLVideoElement

/**
 * 创建一个文件元素
 * @param url 文件 url
 * @param icon 图标，默认为 `file-alt`
 */
export function createFile(url: string, icon?: string): HTMLDivElement

/**
 * 创建联动视频元素
 * @param urls 视频 url 数组
 */
export function createVideoList(urls: string[]): HTMLDivElement